﻿@using Jb.Framework.Common.Forms.Validation;
@model Jb.Framework.Common.Forms.JbRadioList

@{
    var labelHtmlAttr = new Dictionary<string, object> { { "class", "Custom-label pull-left" }, { "data-value", Model.Title } };
    var checkBoxHtmlAttr = new Dictionary<string, object> { { "class", "icheck2" }, { "title", @Model.HelpText } };
}

<div class="pull-left JbFormControll JbRadioList">
    @Html.Hidden("ModelType", Model.GetType())
    @Html.HiddenFor(m => m.JsonItems)
    @Html.HiddenFor(x => x.Title)
    @Html.HiddenFor(x => x.Name)
    @Html.HiddenFor(x => x.ElementId)
    @Html.HiddenFor(x => x.HelpText)

    @foreach (var accRole in Model.AccessRole)
    {
        @Html.HiddenFor(modelItem => accRole)
    }

    <label>
        @Model.Title
    </label>
    @if (!string.IsNullOrEmpty(Model.HelpText))
    {
        <a href="#" class="help" role="button" data-toggle="popover" data-trigger="focus" data-content="@Model.HelpText"></a>
    }

    @{
        var counter = 0;
        foreach (var item in Model.Items)
        {
            <div class="radio" style="margin-left:10px">
                <label>
                    @Html.RadioButtonFor(m => m.Value, item.Value, new { @id = string.Format("{0}radio_{1}", Model.ElementId, counter) })
                    <span class="check"></span>
                    @Html.LabelFor(m => m.Value, string.Format("{0}", item.Text), new { @for = string.Format("{0}radio_{1}", Model.ElementId, counter) })
                </label>
            </div>

            counter++;
        }
    }

</div>

